<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: index.php
| CVS Version: 1.00
| Author: Digitanium
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("DOIU") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../index.php"); }

if (file_exists(INFUSIONS."del_inactive_users/locale/".$settings['locale'].".php")) {
	include INFUSIONS."del_inactive_users/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."del_inactive_users/locale/Russian.php";
}

echo "<center><h2>".$locale['dou_desc']."</h2></center>".$locale['dou_scope'];

if (isset($_GET['action']) and (($_GET['action'] == "user_yes") or ($_GET['action'] == "user_count"))) {
	opentable($locale['dou_300']);

	$del_users = 0;
	$d_line = $_GET['d_line'];  // The deadline
	$result_1 = dbquery("SELECT * FROM ".DB_USERS." WHERE
		user_lastvisit<='$d_line' AND
		user_level = 101 AND
		user_status = 0 AND
		user_posts = 0 AND
		user_id NOT IN (SELECT comment_name FROM ".DB_COMMENTS."     WHERE comment_name = user_id) AND
		user_id NOT IN (SELECT shout_name   FROM ".DB_SHOUTBOX."     WHERE shout_name = user_id) AND
		user_id NOT IN (SELECT article_name FROM ".DB_ARTICLES."     WHERE article_name = user_id) AND
		user_id NOT IN (SELECT news_name    FROM ".DB_NEWS."         WHERE news_name = user_id) AND
		user_id NOT IN (SELECT album_user   FROM ".DB_PHOTO_ALBUMS." WHERE album_user = user_id)
		");

	while ($data_1 = dbarray($result_1)) {
		$user_id        = $data_1['user_id'];
		$user_lastvisit = ($data_1['user_lastvisit'] == 0 ? $data_1['user_joined'] : $data_1['user_lastvisit']);

		if ($user_lastvisit <= $d_line) {
			$del_users++;
			if ($_GET['action'] == "user_yes") {
//				Checking if newsletter infusion is installed
// 	      $result_nl = dbquery("SELECT * FROM ".$db_prefix."infusions WHERE inf_folder = 'newsletter_panel'");
// 	      if (dbrows($result_nl)) { $result_3 = dbquery("DELETE FROM ".$db_prefix."newsletter_subs WHERE newsletter_sub_user='$user_id'"); }
		      $result = dbquery("DELETE FROM ".DB_USERS."            WHERE user_id='$user_id'");
		      $result = dbquery("DELETE FROM ".DB_MESSAGES_OPTIONS." WHERE user_id='$user_id'");
	   	   $result = dbquery("DELETE FROM ".DB_MESSAGES."         WHERE message_from='$user_id'");
	      	$result = dbquery("DELETE FROM ".DB_MESSAGES."         WHERE message_to='$user_id'");
			}
		}
	}
	$x = ($_GET['action'] == "user_yes" ? $locale['dou_302'] : $locale['dou_301']);  // ... users deleted / ... users to be deleted
	echo "<center><h2>".$del_users." ".$x."</h2></center>";
	closetable();
} else {

	if (isset($_POST['go_on'])) {       // User has pressed the Go On button...
		opentable($locale['dou_200']);   // Confirm:
// 		Compose deadline as a number:
			$deadline = $_POST['user_month'] . "/" . $_POST['user_day'] . "/" . $_POST['user_year'];
			$d_line = strtotime($deadline);
//			End Deadline composing
			echo "<center><table cellpadding='1' cellspacing='1' class='tbl-border' width='100%'>";
			echo "<tr>\n";
			echo "<td colspan='3'>";
			echo $locale['dou_201']." ".dbcount("(user_id)", DB_USERS, "user_level>='101'")."<br />";
			echo $locale['dou_202']." ".$deadline."<br /><br />";
			echo "<b>".$locale['dou_203']."</b></td>\n";
			echo "<td class='tbl2' width='100' align='center'>";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=user_yes&amp;d_line=$d_line&amp;p_id=2'>".$locale['dou_204']."</a></td>\n";
			echo "<td class='tbl2' width='100' align='center'>";
			echo "<a href='".FUSION_SELF.$aidlink."&amp;action=user_count&amp;d_line=$d_line&amp;p_id=2'>".$locale['dou_205']."</a></td>\n";
			echo "<td class='tbl2' width='100' align='center'>";
			echo "<a href='".FUSION_SELF.$aidlink."&p_id=2'>".$locale['dou_206']."</a></td>\n";
			echo "</tr>";
			echo "</table>\n";
      closetable();

	} else {

		echo $locale['dou_201']." ".dbcount("(user_id)", DB_USERS, "user_level>='101'")."<br /><br />";

		opentable($locale['dou_130']);  // Criteria Form:
	    echo "
	     <form method='POST' action='".FUSION_SELF.$aidlink."'>
	        <div align='center'>
	           <table border='0' width='100%' id='table1'>
	  	      <tr>
		 	  <td class='tbl2'>
	                     ".$locale['dou_131']."
	                     <select name='user_day' class='textbox'>\n<option>".$locale['dou_132']."</option>\n";
		             for ($i=1;$i<=31;$i++) echo "<option".($del_day == $i ? " selected" : "").">$i</option>\n";
		             echo "</select>
			     <select name='user_month' class='textbox'>\n<option>".$locale['dou_133']."</option>\n";
		             for ($i=1;$i<=12;$i++) echo "<option".($del_month == $i ? " selected" : "").">$i</option>\n";
		             echo "</select>
			     <select name='user_year' class='textbox'>\n<option>".$locale['dou_134']."</option>\n";
		             for ($i=1997;$i<=2015;$i++) echo "<option".($del_year == $i ? " selected" : "").">$i</option>\n";
		             echo "</select>
	                  </td>
		      </tr>
		      <tr>
			  <td colspan='2' align='center'>
			     <input type='submit' name='go_on' class='button' value='".$locale['dou_140']."'>
			     <input type='reset' class='button' value='".$locale['dou_141']."'>
	                  </td>
		      </tr>
		   </table>
	        </div>
	     </form>
	    ";
		closetable();
	}
}
require_once THEMES."templates/footer.php";
?>